<template>
	<div class="Home">
		<div class="top_banner">
			<div class="swiper-container" v-if="bannerList.length">
				<div class="swiper-wrapper">
					<div class="swiper-slide" v-for="(item,index) in bannerList" :key="index">
						<img :src="'/api/chainFileStore/'+ item" alt="">
					</div>
				</div>
			</div>
		</div>
		<div class="center_part">
			<div class="center_box_1">
				<div class="tit">快捷功能</div>
				<div class="content">
					<div class="cur" @click="go('/controller/saleOpration')">
						<div class="img_container">
							<img class="icon_1" src="../../assets/img/icon1.png" alt="">
						</div>
						<div class="intro_text">发起业务</div>
					</div>
					<div class="cur" @click="go('/controller/fundDetail')">
						<div class="img_container">
							<img class="icon_2" src="../../assets/img/icon2.png" alt="">
						</div>
						<div class="intro_text">收款明细</div>
					</div>
					<div class="cur" @click="go('/controller/repayDetail')">
						<div class="img_container">
							<img class="icon_3" src="../../assets/img/icon3.png" alt="">
						</div>
						<div class="intro_text">还款明细</div>
					</div>
				</div>
			</div>
			<div class="center_box_2">
				<div class="tit">可用额度</div>
				<div class="content">
					<div class="line_1">￥{{limitObj && limitObj.remainAmount.toFixed(2)}}</div>
					<div class="line_2">
						<div>
							<span>总额度</span>
							<span>￥{{ limitObj && limitObj.creditAmount.toFixed(2)}}</span>
						</div>
						<div>
							<span>冻结额度</span>
							<span>￥{{limitObj && limitObj.lockAmount.toFixed(2)}}</span>
						</div>
					</div>
					<div class="line_3">
						<button @click="changeLimit">{{limitObj && limitObj.creditAmount === 0 ? '申请额度' : '调整额度' }}</button>
					</div>
				</div>
			</div>
			<div class="center_box_3">
				<div class="tit">
					<div>
						<!--<img-->
						<!--:src="(userInfo && userInfo.headUrl && ('/api/chainFileStore/' + userInfo.headUrl)) || '#'"-->
						<!--alt=""-->
						<!--&gt;-->
						<img src="../../assets/img/timg_black.png" alt="">
					</div>
					<div>
						<div class="line_1">{{userInfo && userInfo.companyName}}</div>
						<div class="line_2">欢迎您！</div>
					</div>
				</div>
				<div class="complete">
					<div>风控资料完整度</div>
					<div>{{riskCompleteRate && riskCompleteRate.toFixed(0)}}%</div>
					<div @click="go('/controller/bussinessRiskData')">去完善 >></div>
				</div>
				<div class="process_bar">
					<el-progress
						:percentage="userInfo && Number(riskCompleteRate && riskCompleteRate.toFixed(0))"
						:show-text="false"
					></el-progress>
				</div>
				<div class="base_info">
					<div class="active">
						<i class="el-icon-check"></i>
						<a style="cursor:pointer" @click="go('bussinessBase')">基本资料</a>
					</div>
					<div class="active">
						<i class="el-icon-check"></i>
						<a style="cursor:pointer" @click="go('bussinessBase')">银行账户</a>
					</div>
					<div class="active" v-if="approvalStatus === 3">
						<i class="el-icon-check"></i>企业认证
					</div>
					<div v-else-if="approvalStatus === 2">企业认证</div>
					<div v-else @click="faceVerify" style="cursor:pointer">企业认证</div>
				</div>
				<div class="last_logn">
					<span>上次登录</span>
					<span>{{userInfo && userInfo.lastLoginDate}}</span>
				</div>
			</div>
		</div>
		<div class="bottom_part">
			<div class="question">
				<div class="tit">
					<span>常见问题</span>
					<!-- <span>入门手册下载</span> -->
				</div>
				<div class="cell_container overflow">
					<div
						class="cell cur"
						v-for="(item,index) in questionsList"
						:key="index"
						@click="questionShow(item)"
					>
						<div>
							<a class="c333">{{item.question}}</a>
						</div>
						<div>{{item.createTime}}</div>
					</div>
				</div>
				<div class="no_data" v-if="!questionsList.length">暂无数据</div>
				<div class="bottom">
					<span @click="qrcodeDialogVisible = true">了解更多 >></span>
				</div>
			</div>
			<div class="notice">
				<div class="tit">任务与通知</div>
				<div class="cell_container">
					<div
						class="cell cur"
						v-for="(item,index) in noticeList"
						:key="index"
						@click="questionShow(item)"
					>
						<div>
							<div>{{item.title}}</div>
							<div>{{item.detail}}</div>
						</div>
						<div>
							<div>{{item.createTime}}</div>
						</div>
					</div>
				</div>
				<div class="no_data" v-if="!noticeList.length">暂无数据</div>
				<div class="bottom" v-if="noticeList.length">
					<span @click="go('/controller/taskAndNotice')">查看全部 >></span>
				</div>
			</div>
		</div>
		<el-dialog
			:title="question"
			:close-on-click-modal="false"
			:close-on-press-escape="false"
			:visible.sync="questionDialogVisible"
			width="50%"
			center
		>
			<span class="f14" style="linheight:1.5;">{{answer}}</span>
			<span slot="footer" class="dialog-footer">
				<el-button type="primary" @click="questionDialogVisible = false">确认</el-button>
			</span>
		</el-dialog>
		<el-dialog
			:close-on-click-modal="false"
			:close-on-press-escape="false"
			:visible.sync="qrcodeDialogVisible"
			width="50%"
			center
		>
			<el-row class="c9696A0 f14">如遇到更多无法解决的问题，请拨打客服电话寻求解决方案，或扫描下方二维码关注我们进行提问。</el-row>
			<el-row class="flexHcenter marginTop16">
				<img src="../../assets/img/WechatIMG64.jpeg" style="width:8rem;height:8rem;" alt="">
			</el-row>
			<el-row class="talincenter c333 f12 marginTop10">客服电话：0571-82965186</el-row>
		</el-dialog>
		<faceDialog ref="faceDialog" :conf="faceConf"></faceDialog>
	</div>
</template>

<script>
import Swiper from 'swiper'

import home from './data_conf/home.js'
import faceDialog from '@com/ooteco_face_dialog'

export default {
	mixins: [$mixin],
	components: { faceDialog },
	data() {
		return Object.assign({}, home, {
			Swiper: null,
			approvalStatus: '',
			riskCompleteRate: '',
			questionDialogVisible: false,
			question: '',
			answer: '',
			qrcodeDialogVisible: false,
			faceConf: {
				url: 'waeadsadas',
				text:
					'请先确认基本资料信息完整无误后扫描上方二维码进行人脸识别完成认证',
				option: {
					cardNo: '',
					name: '',
					type: 1
				}
			}
		})
	},
	created() {
		this.faceConf.option.cardNo = this.userInfo.operatorUserIdCardNumber
		this.faceConf.option.name = this.userInfo.operatorUserName
	},
	computed: {
		userInfo() {
			return JSON.parse(sessionStorage.getItem('userInfo'))
		}
	},
	watch: {
		bannerList() {
			this.$nextTick(() => {
				this.initSwiper()
			})
		}
	},
	methods: {
		faceVerify() {
			this.$refs.faceDialog.show()
		},
		questionShow(item) {
			if (item.title) {
				this.$http
					.post({
						url: 'message/updateStatus',
						params: {
							id: item.id
						}
					})
					.then(() => {})
			}
			this.question = item.question || item.title
			this.answer = item.answer || item.detail
			this.questionDialogVisible = true
		},
		//初始化 swiper
		initSwiper() {
			this.Swiper = new Swiper('.swiper-container', {
				autoplay: 5000 //可选选项，自动滑动
			})
		},

		// 首页请求数据
		requestHomeData() {
			this.getQuestions()
			this.getNotice()
			this.getLimit()
			this.getBanner()
			this.$http
				.get({
					url: 'company/getCompanyRiskInfoCompleteRate',
					params: {
						companyId: this.userInfo.companyId
					}
				})
				.then(({ data }) => {
					console.log(data)
					this.approvalStatus = data.approvalStatus
					this.riskCompleteRate = data.riskCompleteRate
				})
		},

		//获取banner
		getBanner() {
			this.$http
				.get({
					url: '/company/banner'
				})
				.then(
					data => {
						if (data.code == 0) {
							this.$set(this, 'bannerList', [...data.data])
						}
					},
					msg => {
						this.alert(msg)
					}
				)
		},

		//可用额度
		getLimit() {
			this.$http
				.get({
					url: 'limit/get'
				})
				.then(
					data => {
						if (data.code == 0) {
							this.$set(this, 'limitObj', data.data)
						} else {
							this.$message.error(data.msg)
						}
					},
					msg => {
						this.alert(msg)
					}
				)
		},

		//常见问题
		getQuestions() {
			this.$http
				.get({
					url: 'index/question',
					params: {
						pageSize: 50,
						pageNum: 1
					}
				})
				.then(
					data => {
						if (data.code == 0) {
							this.$set(this, 'questionsList', data.data.list)
						} else {
							this.$message.error(data.msg)
						}
					},
					msg => {
						this.alert(msg)
					}
				)
		},

		//任务与通知
		getNotice() {
			this.$http
				.get({
					url: 'message/list',
					params: {
						pageSize: 10,
						pageNum: 1,
						indexSelect: 1
					}
				})
				.then(
					data => {
						if (data.code == 0) {
							this.$set(this, 'noticeList', data.data.list)
						} else {
							this.$message.error(data.msg)
						}
					},
					msg => {
						this.alert(msg)
					}
				)
		},

		//调整额度
		changeLimit() {
			if (!this.limitObj.limitEditable) {
				this.alert(this.limitObj.limitEditFailMessage)
				return false
			}
			this.$prompt('请输入需要调整的额度（调整以100为单位）', '额度调整申请', {
				confirmButtonText: '确定',
				cancelButtonText: '取消',
				inputPattern: /(^[1-9]([0-9]+)?(\.[0-9]{1,2})?$)|(^(0){1}$)|(^[0-9]\.[0-9]([0-9])?$)/,
				inputErrorMessage: '输入格式不正确'
			}).then(({ value }) => {
				this.$http
					.post({
						url: 'limit/apply',
						params: {
							applyLimit: value
						}
					})
					.then(
						data => {
							if (data.code == 0) {
								this.$message({
									type: 'success',
									message: '额度申请成功'
								})

								//更新额度数据
								this.getLimit()
							}
						},
						msg => {
							this.alert(msg)
						}
					)
			})
		}
	},

	mounted() {
		this.requestHomeData()
	}
}
</script>

<style lang="less" scoped>
.overflow {
	max-height: 21rem;
	overflow-y: scroll;
}
.Home {
	.top_banner {
		height: 13.125rem;
		.swiper-container {
			width: 100%;
			height: 13.125rem;

			.swiper-slide {
				text-align: center;
				img {
					height: 100%;
					width: 100%;
				}
			}
		}
	}

	.center_part {
		display: flex;
		margin-top: 0.625rem;
		& > div {
			flex: 1;
			padding: 1.875rem 0 2.5rem;
			border: 0.0625rem solid #e6e6e6;
		}
		.center_box_1 {
			.tit {
				text-align: center;
				font-weight: bold;
				color: #333;
				font-size: 1rem;
			}

			.content {
				margin-top: 1.875rem;
				display: flex;
				justify-content: space-around;
				& > div {
					flex: 0 1 3.75rem;
					.img_container {
						width: 3.75rem;
						height: 5rem;
						text-align: center;

						.icon_1 {
							position: relative;
							top: 0.375rem;
							width: 3.75rem;
							height: auto;
						}

						.icon_2 {
							width: 3.75rem;
							height: auto;
						}

						.icon_3 {
							width: 3.125rem;
							height: auto;
						}
					}

					.intro_text {
						text-align: center;
						color: #3b7dfc;
						font-size: 0.875rem;
						margin-top: 1rem;
					}
				}
			}
		}
		.center_box_2 {
			margin-left: 0.625rem;
			padding: 1.875rem 1.875rem 2.5rem;
			.tit {
				text-align: center;
				font-weight: bold;
				color: #333;
				font-size: 1rem;
			}

			.content {
				.line_1 {
					text-align: center;
					margin: 0.625rem 0;
					padding: 1.25rem 1.25rem;
					background: #f5f5f5;
					font-size: 1.25rem;
				}

				.line_2 {
					display: flex;
					& > div {
						flex: 1;
						font-size: 0.75rem;
						color: #333;
						text-align: center;
					}
				}

				.line_3 {
					margin-top: 1.25rem;
					text-align: center;
					button {
						border: 0.0625rem solid #4373d1;
						color: #4373d1;
						padding: 0.375rem 0.625rem;
						border-radius: 0.125rem;
						font-size: 0.875rem;
						cursor: pointer;
						background: white;
					}
				}
			}
		}

		.center_box_3 {
			margin-left: 0.625rem;
			padding: 1.875rem 1.25rem 2.5rem;
			.tit {
				display: flex;
				align-items: center;
				& > div:nth-child(1) {
					flex: 0 1 2.25rem;
					height: 2.25rem;
					border-radius: 50%;
					/*background: red;*/
					overflow: hidden;
					img {
						width: 100%;
						height: auto;
					}
				}

				& > div:nth-child(2) {
					flex: 1;
					margin-left: 1.25rem;

					.line_1 {
						font-size: 0.875rem;
						font-weight: bold;
					}

					.line_2 {
						font-size: 0.75rem;
						color: #666;
						margin-top: 0.625rem;
					}
				}
			}

			.complete {
				margin-top: 1.25rem;
				display: flex;
				align-items: center;
				& > div:nth-child(1) {
					flex: 0 1 11.25rem;
					font-size: 0.75rem;
					color: #999;
				}

				& > div:nth-child(2) {
					flex: 1;
					font-size: 1rem;
					font-weight: bold;
					color: #333;
				}

				& > div:nth-child(3) {
					flex: 1;
					font-size: 0.812rem;
					color: #3b7dfc;
					text-align: right;
					cursor: pointer;
				}
			}

			.process_bar {
				margin-top: 1rem;
			}

			.base_info {
				margin-top: 1.875rem;
				display: flex;
				& > div {
					font-size: 0.75rem;
					color: #333;
					text-align: center;
					flex: 1;

					&.active {
						color: #3b7dfc;
					}
				}
			}

			.last_logn {
				margin-top: 1.875rem;
				font-size: 0.75rem;
				text-align: center;
				& > span:nth-child(1) {
					color: #999;
				}
				& > span:nth-child(2) {
					margin-left: 1.25rem;
					color: #333;
				}
			}
		}
	}

	.bottom_part {
		margin-top: 0.625rem;
		display: flex;
		& > div {
			flex: 1;
			border: 0.0625rem solid #e6e6e6;
		}

		.no_data {
			font-size: 0.75rem;
			color: #999;
			text-align: center;
			margin-top: 1.25rem;
		}

		.question {
			padding: 1.25rem 1.25rem 1.875rem;
			.tit {
				display: flex;
				justify-content: space-between;
				align-items: center;
				& > span:nth-child(1) {
					flex: 0 1 6.25rem;
					font-size: 0.875rem;
					font-weight: bold;
					color: #333;
				}
				& > span:nth-child(2) {
					flex: 0 1 6.25rem;
					font-size: 0.875rem;
					color: #3b7dfc;
					text-decoration: underline;
					cursor: pointer;
				}
			}

			.cell_container {
				.cell {
					display: flex;
					justify-content: space-between;
					margin-top: 1rem;
					& > div:nth-child(1) {
						flex: 0 1 23.125rem;
						font-size: 0.75rem;
						width: 18.125rem;
						color: #333;
						overflow: hidden;
						text-overflow: ellipsis;
						white-space: nowrap;
					}

					& > div:nth-child(2) {
						flex: 0 1 11.25rem;
						font-size: 0.75rem;
						color: #999;
					}
				}
			}

			.bottom {
				margin-top: 1.25rem;
				span {
					font-size: 0.75rem;
					cursor: pointer;
					color: #4373d1;
				}
			}
		}

		.notice {
			margin-left: 0.625rem;
			padding: 1.25rem 1.25rem 1.875rem;

			.tit {
				font-size: 0.875rem;
				font-weight: bold;
				color: #333;
			}

			.cell_container {
				.cell {
					display: flex;
					// align-items: center;
					font-size: 0.75rem;
					color: #333;
					margin-top: 1rem;
					justify-content: space-around;

					& > div:nth-child(1) {
						flex: 1;
						display: flex;
						& > div:nth-child(1) {
							flex: 0 1 80px;
						}
						& > div:nth-child(2) {
							flex: 0 1 17.5rem;
							width: 17.5rem;
							text-align: left;
							overflow: hidden;
							text-overflow: ellipsis;
							white-space: nowrap;
						}
					}

					& > div:nth-child(2) {
						flex: 0 1 10rem;
						color: #999;
					}
				}
			}

			.bottom {
				margin-top: 1.25rem;
				span {
					font-size: 0.75rem;
					cursor: pointer;
					color: #4373d1;
				}
			}
		}
	}
}
</style>
